#ifndef CLICKABLEDOUBLESPINBOX_H
#define CLICKABLEDOUBLESPINBOX_H

#include <QWidget>
#include <QDoubleSpinBox>
#include <QMouseEvent>
#include <QDebug>

class ClickableDoubleSpinBox : public QDoubleSpinBox
{
    Q_OBJECT
public:
    explicit ClickableDoubleSpinBox(QWidget *parent = nullptr);
protected:
  void mousePressEvent ( QMouseEvent * event ) {
    if (event->button() == Qt::LeftButton) {
        emit click();
    }
    event->accept();
  }
signals:
  void click();
};

#endif // CLICKABLEDOUBLESPINBOX_H
